services:
    mihomo:
        image: metacubex/mihomo:latest
        container_name: mihomo
        restart: unless-stopped
        network_mode: host
        volumes:
            - ./config:/root/.config/mihomo
            # - /dev/net/tun:/dev/net/tun # 👈 Добавить эту строку
        cap_add:
            - NET_ADMIN
            # - SYS_ADMIN # 👈 Добавить для TUN

    mtproto:
        image: arm64builds/mtproxy:latest
        container_name: mtproto
        restart: unless-stopped
        network_mode: host
        environment:
            - SECRET=${MT_SECRET} # Ваш 32-значный секрет
            - DOMAIN=ada-dev.ru # Домен для маскировки (FakeTLS)
            - HOST_PORT=8443 # Порт, который вы хотите использовать
        cap_add:
            - NET_ADMIN
